You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@inlong.apache.org by do...@apache.org on 2023/03/31 14:27:44 UTC

[inlong] branch master updated: [INLONG-7742][Tool] Add only support for MacOS and Linux prompts to inlong-dev-toolkit (#7743)

This is an automated email from the ASF dual-hosted git repository.

dockerzhang pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/inlong.git


The following commit(s) were added to refs/heads/master by this push:
     new ead7ecfee [INLONG-7742][Tool] Add only support for MacOS and Linux prompts to inlong-dev-toolkit (#7743)
ead7ecfee is described below

commit ead7ecfee108a254277894df55342199b433aeb2
Author: feat <fe...@outlook.com>
AuthorDate: Fri Mar 31 22:27:38 2023 +0800

    [INLONG-7742][Tool] Add only support for MacOS and Linux prompts to inlong-dev-toolkit (#7743)
---
 inlong-tools/dev/inlong-dev-toolkit.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/inlong-tools/dev/inlong-dev-toolkit.sh b/inlong-tools/dev/inlong-dev-toolkit.sh
index 89b253953..1e0698e10 100755
--- a/inlong-tools/dev/inlong-dev-toolkit.sh
+++ b/inlong-tools/dev/inlong-dev-toolkit.sh
@@ -115,6 +115,11 @@ function manager() {
 }
 
 function main() {
+  if [[ "$OSTYPE" != "darwin"* ]] && [[ "$OSTYPE" != "linux-gnu"* ]]; then
+    echo "This script only supports macOS or Linux, current OS is $OSTYPE"
+    exit 1
+  fi
+
   action=$1
 
   if [ ! -n "$action" ]; then